/**
 * Turns a Preact component or stateless render function into a reactive component.
 */
import Component = require("preact")

export interface IDevToolProps {
    highlightTimeout?: number
    position?: "topRight" | "bottomRight" | "bottomLeft" | "topLeft" |
    {
        top?: number | string
        right?: number | string
        bottom?: number | string
        left?: number | string
    }
    noPanel?: boolean;
    className?: string;
}

export default class DevTools extends Component<IDevToolProps, {}> {}
export class GraphControl extends Component<{}, {}> {}
export class LogControl extends Component<{}, {}> {}
export class UpdatesControl extends Component<{ highlightTimeout?: number }, {}> {}

export function configureDevtool(options: {
    logEnabled?: boolean
    updatesEnabled?: boolean
    graphEnabled?: boolean
    logFilter?: (p: any) => boolean
}): void

export function setUpdatesEnabled(enabled: boolean): void
export function setGraphEnabled(enabled: boolean): void
export function setLogEnabled(enabled: boolean): void
